Main Page Class Hierarchy Compound List File List Compound Members

# EMF::EMREXTTEXTOUTA Class Reference

EMF Extended Text Output ASCII. More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMREXTTEXTOUTA::

List of all members.

## Public Methods
| EMREXTTEXTOUTA (const RECTL *bounds, DWORD graphicsMode, FLOAT xScale, FLOAT yScale, const PEMRTEXT text, LPCSTR string, const INT *dx)
| EMREXTTEXTOUTA (DATASTREAM &ds)
| ~EMREXTTEXTOUTA ()
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *, HDC dc) const

## Detailed Description

EMF Extended Text Output ASCII.

Draw this text string with the current font, in the color of the current pen and with the given text background color. Individual character positioning can be given in the dx array.

## Constructor & Destructor Documentation

EMF::EMREXTTEXTOUTA::EMREXTTEXTOUTA ( | const RECTL * bounds,
| DWORD graphicsMode,
| FLOAT xScale,
| FLOAT yScale,
| const PEMRTEXT text,
| LPCSTR string,
| const INT * dx )`[inline]`

  | Parameters:
  bounds | bounding box of text string.
  graphicsMode | (not entirely sure?)
  xScale | width scale factor (of what?)
  yScale | height scale factor (of what?)
  text | a text metarecord containing the rendering style.
  string | the text to render
  dx | an array of positions for each character in string.

EMF::EMREXTTEXTOUTA::EMREXTTEXTOUTA ( | DATASTREAM & ds )`[inline]`

  | Construct a ExtTextOutA record from the input stream. Parameters:
  ds | Metafile datastream.

EMF::EMREXTTEXTOUTA::~EMREXTTEXTOUTA ( | )`[inline]`

| Destructor frees its copy of the string and its character offset array

## Member Function Documentation

void EMF::EMREXTTEXTOUTA::execute ( | METAFILEDEVICECONTEXT * source,
| HDC dc ) const`[inline, virtual]`

  | Execute this record in the context of the given device context. Parameters:
  source | the device context from which this record is taken.
  dc | device context for execute.
Reimplemented from EMF::METARECORD.

bool EMF::EMREXTTEXTOUTA::serialize ( | DATASTREAM ds )`[inline, virtual]`

  | Parameters:
  fp | Metafile file handle.
Reimplemented from EMF::METARECORD.

int EMF::EMREXTTEXTOUTA::size ( | void ) const`[inline, virtual]`

| Internally computed size of this record. Reimplemented from EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h